#include "zombie.h"


int vramSettings[9][32][3] = 
{	
	// Bank A
	{
		{0x800, 8, LCDC},
		{0x000, 8, MAIN_BG},
		{0x400, 8, MAIN_OBJ},
		{0x800, 8, TEX0},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x020, 8, MAIN_BG},
		{0x420, 8, MAIN_OBJ},
		{0x800, 8, TEX1},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x040, 8, MAIN_BG},
		{0x440, 8, DISABLED},
		{0x800, 8, TEX2},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x060, 8, MAIN_BG},
		{0x460, 8, DISABLED},
		{0x800, 8, TEX3},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED}
	},

	// Bank B
	{
		{0x820, 8, LCDC},
		{0x000, 8, MAIN_BG},
		{0x400, 8, MAIN_OBJ},
		{0x820, 8, TEX0},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x020, 8, MAIN_BG},
		{0x420, 8, MAIN_OBJ},
		{0x820, 8, TEX1},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x040, 8, MAIN_BG},
		{0x440, 8, DISABLED},
		{0x820, 8, TEX2},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x060, 8, MAIN_BG},
		{0x460, 8, DISABLED},
		{0x820, 8, TEX3},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED}
	},

	// Bank C
	{
		{0x840, 8, LCDC},
		{0x000, 8, MAIN_BG},
		{0x000, 8, ARM7},
		{0x840, 8, TEX0},
		{0x200, 8, SUB_BG},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x020, 8, MAIN_BG},
		{0x020, 8, ARM7},
		{0x840, 8, TEX1},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x040, 8, MAIN_BG},
		{0x040, 8, DISABLED},
		{0x840, 8, TEX2},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x060, 8, MAIN_BG},
		{0x460, 8, DISABLED},
		{0x840, 8, TEX3},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED}
	},

	// Bank D
	{
		{0x860, 8, LCDC},
		{0x000, 8, MAIN_BG},
		{0x000, 8, ARM7},
		{0x860, 8, TEX0},
		{0x600, 8, SUB_OBJ},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x020, 8, MAIN_BG},
		{0x020, 8, ARM7},
		{0x860, 8, TEX1},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x040, 8, MAIN_BG},
		{0x040, 8, DISABLED},
		{0x860, 8, TEX2},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x060, 8, MAIN_BG},
		{0x460, 8, DISABLED},
		{0x860, 8, TEX3},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED}
	},

	// Bank E
	{
		{0x880, 4, LCDC},
		{0x000, 4, MAIN_BG},
		{0x400, 4, MAIN_OBJ},
		{-1, 4, TEXPLTT},
		{-1, 4, MAIN_BGEXTPLTT},	// Old base was 0x880
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x020, 8, DISABLED},
		{0x020, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x040, 8, DISABLED},
		{0x040, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x060, 8, DISABLED},
		{0x460, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED}
	},

	// Bank F
	{
		{0x890, 1, LCDC},
		{0x000, 1, MAIN_BG},
		{0x400, 1, MAIN_OBJ},
		{0x890, 1, TEXPLTT},
		{-1, 1, MAIN_BGEXTPLTT},	//
		{-1, 1, MAIN_OBJEXTPLTT},	// Old base was 0x890
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x004, 1, MAIN_BG},
		{0x404, 1, MAIN_OBJ},
		{0x890, 1, TEXPLTT},
		{-1, 1, MAIN_BGEXTPLTT},	//
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x010, 1, MAIN_BG},
		{0x410, 1, MAIN_OBJ},
		{0x890, 1, TEXPLTT},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x014, 1, MAIN_BG},
		{0x414, 1, MAIN_OBJ},
		{0x890, 1, TEXPLTT},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED}
	},

	// Bank G
	{
		{0x894, 1, LCDC},
		{0x000, 1, MAIN_BG},
		{0x400, 1, MAIN_OBJ},
		{0x894, 1, TEXPLTT},
		{-1, 1, MAIN_BGEXTPLTT},
		{-1, 1, MAIN_OBJEXTPLTT},	// Old base was 0x894
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x004, 1, MAIN_BG},
		{0x404, 1, MAIN_OBJ},
		{0x894, 1, TEXPLTT},
		{-1, 1, MAIN_BGEXTPLTT},	//
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x010, 1, MAIN_BG},
		{0x410, 1, MAIN_OBJ},
		{0x894, 1, TEXPLTT},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x014, 1, MAIN_BG},
		{0x414, 1, MAIN_OBJ},
		{0x894, 1, TEXPLTT},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED}
	},

	// Bank H
	{
		{0x898, 2, LCDC},
		{0x200, 2, SUB_BG},
		{-1, 2, SUB_BGEXTPLTT},	// Old base was 0x898
		{0x880, 8, DISABLED},
		{0x880, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x020, 8, DISABLED},
		{0x020, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x040, 8, DISABLED},
		{0x040, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x060, 8, DISABLED},
		{0x460, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED}
	},

	// Bank I
	{
		{0x8A0, 1, LCDC},
		{0x208, 1, SUB_BG},
		{0x600, 1, SUB_OBJ},
		{-1, 1, SUB_OBJEXTPLTT},	// Old base was 0x8A0
		{0x880, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x020, 8, DISABLED},
		{0x020, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x040, 8, DISABLED},
		{0x040, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x060, 8, DISABLED},
		{0x460, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED},
		{0x800, 8, DISABLED}
	}
};
